FROM alpine:3.12.4

ENV CHAIN_SPEC_DIR=/chainspec/

# Copy chain spec artifacts. "source" and "modified" are included for diagnostic purposes.
# Validators typically take "chainSpecRaw.json" for starting
COPY chainSpecSource.json chainSpecModified.json chainSpecRaw.json $CHAIN_SPEC_DIR

# Set env var for consumers to reference when copying file out of image.
ENV CHAIN_SPEC_RAW_FILEPATH=$CHAIN_SPEC_DIR/chainSpecRaw.json
